package com.gic.haoban.manage.service.entity.chat;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @ClassName: TabHaobanGroupChatPlanOwnerLog
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年11月25日 15:29:51
 * @Modify
 * @CopyRight 
 */
public class TabGroupChatPlanOwnerLog implements Serializable {

    private static final long serialVersionUID = 21697825515700L;

    private Long ownerLogId;
    private Long planId;
    private String wxEnterpriseId;
    private String enterpriseId;
    private String staffId;
    private String storeId;
    private String clerkId;
    /**0任务创建失败 1待发送 2已发送*/
    private Integer sendStatus;
    private Integer failCount;
    private Integer sendCount;
    private java.util.Date createTime;
    private java.util.Date updateTime;
    private String remark;
    private String msgid;
    private Integer doneFlag;
    private Integer deleteFlag;
    private Date sendTime;

    public Integer getFailCount() {
        return failCount;
    }

    public void setFailCount(Integer failCount) {
        this.failCount = failCount;
    }

    public Date getSendTime() {
        return sendTime;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }

    public String getMsgid() {
        return msgid;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setMsgid(String msgid) {
        this.msgid = msgid;
    }

    public Integer getDoneFlag() {
        return doneFlag;
    }

    public void setDoneFlag(Integer doneFlag) {
        this.doneFlag = doneFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public void setOwnerLogId(Long ownerLogId) {
        this.ownerLogId = ownerLogId;
    }

    public Long getOwnerLogId() {
        return ownerLogId;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    public Long getPlanId() {
        return planId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setSendStatus(Integer sendStatus) {
        this.sendStatus = sendStatus;
    }

    public Integer getSendStatus() {
        return sendStatus;
    }

    public void setSendCount(Integer sendCount) {
        this.sendCount = sendCount;
    }

    public Integer getSendCount() {
        return sendCount;
    }

    public void setCreateTime(java.util.Date createTime) {
        this.createTime = createTime;
    }

    public java.util.Date getCreateTime() {
        return createTime;
    }

    public void setUpdateTime(java.util.Date updateTime) {
        this.updateTime = updateTime;
    }

    public java.util.Date getUpdateTime() {
        return updateTime;
    }
}